#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
// tworzymy  obiekt wyświetlacza o nazwie: wysw
#define OLED_RESET 4
Adafruit_SH1106 wysw(OLED_RESET);
#if (SH1106_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SH1106.h!");
#endif

void setup()   {
  wysw.begin(SH1106_SWITCHCAPVCC, 0x3C);  // inicjalizacja
  // pokaż ekran powitalny - logo Adafruit przez 1 sekundę:
  wysw.display();   delay(1000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setCursor(0, 0); //kursor w punkcie "zerowym"
  wysw.setTextColor(1, 0);
  wysw.setTextSize(1);
  //wyswietlamy kody 0...127:
  for (int i = 0, j = 0; i < 128; i++, j++) {
    if (i == 10 || i == 13) {
      wysw.print("x");
    }
    else
    {
      if (j == 16) {
        wysw.print("\n");
        j = 0;
      }
      wysw.write(i);
    }
  }
  wysw.display(); //teraz wyświetl na ekranie
} 

void loop() { } //pusta pętla - kręć się w kółko...
