#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
// tworzymy  obiekt wyświetlacza o nazwie: wysw
#define OLED_RESET 4
Adafruit_SH1106 wysw(OLED_RESET);
#if (SH1106_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SH1106.h!");
#endif

void setup()   {
  wysw.begin(SH1106_SWITCHCAPVCC, 0x3C);  // inicjalizacja
  // pokaż ekran powitalny - logo Adafruit przez 1 sekundę:
  wysw.display();   delay(1000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setCursor(0, 0); //kursor w punkcie "zerowym"
  wysw.setTextColor(1, 0);
  wysw.setTextSize(1);
//po zmodyfikowaniu pliku  glcdfont.c
//  Wyswietlamy klasyczny tekst:
  wysw.print("za");
  wysw.write(144); // ż
  wysw.write(142); // ó
  wysw.write(140); // ł
  wysw.write(138); // ć
  wysw.print(" g");
  wysw.write(139); // ę
  wysw.write(143); // ś
  wysw.print('l'); // pojedyncza litera l
  wysw.write(137); // ą
  wysw.print(" ja");
  wysw.write(145); // ź
  wysw.write(141); // ń
//  wysw.println(); //  nowa linia
  wysw.print("\n");  //nowa linia
  wysw.write(10); // druga nowa linia
//  wysw.println(); // druga nowa linia
  wysw.print("ZA");
  wysw.write(135); // Ż
  wysw.write(133); // Ó
  wysw.write(131); // Ł
  wysw.write(129); // Ć
  wysw.print(" G");
  wysw.write(130); // Ę
  wysw.write(134); // Ś
  wysw.print('L'); // pojedyncza litera L
  wysw.write(128); // Ą
  wysw.print(" JA");
  wysw.write(136); // Ź
  wysw.write(132); // Ń
  wysw.display(); //teraz wyświetl na ekranie
} 

void loop() { } //pusta pętla - kręć się w kółko...
